import 'package:flutter/material.dart';

/// Simple theme config class to set colors
class StageTheme {
  final Color boxSelectedOutLineColor;
  final Color boxOutlineDragColor;
  final Color boxHoverColor;
  final Color edgeColor;
  final Color edgeSelectedColor;
  final Color navmenuTextColor;
  final Color navmenuBackgroundColor;
  final Color switchColor;
  final Color deleteButtonColor;
  final Color resetViewButtonColor;
  final Color stageOutsideBackgroundColor;
  final Color stageInsideBackgroundColor;

  const StageTheme(
      {this.boxSelectedOutLineColor = Colors.black87,
      this.boxOutlineDragColor = Colors.red,
      this.boxHoverColor = Colors.redAccent,
      this.edgeColor = Colors.blueGrey,
      this.edgeSelectedColor = const Color.fromARGB(255, 0, 189, 98),
      this.navmenuTextColor = Colors.white,
      this.navmenuBackgroundColor = Colors.blueGrey,
      this.switchColor = Colors.orangeAccent,
      this.deleteButtonColor = Colors.red,
      this.resetViewButtonColor = Colors.lightBlue,
      this.stageOutsideBackgroundColor =
          const Color.fromARGB(255, 240, 240, 240),
      this.stageInsideBackgroundColor = Colors.white});

  StageTheme copy() {
    return StageTheme(
        boxSelectedOutLineColor: this.boxSelectedOutLineColor,
        boxOutlineDragColor: this.boxOutlineDragColor,
        boxHoverColor: this.boxHoverColor,
        edgeColor: this.edgeColor,
        edgeSelectedColor: this.edgeSelectedColor,
        navmenuTextColor: this.navmenuTextColor,
        navmenuBackgroundColor: this.navmenuBackgroundColor,
        switchColor: this.switchColor,
        deleteButtonColor: this.deleteButtonColor,
        resetViewButtonColor: this.resetViewButtonColor,
        stageOutsideBackgroundColor: this.stageOutsideBackgroundColor,
        stageInsideBackgroundColor: this.stageInsideBackgroundColor);
  }
}
